Package com.independentsoft.office.odf.styles

# Enum Class WordWrapType

java.lang.Object
java.lang.Enum<WordWrapType>
com.independentsoft.office.odf.styles.WordWrapType

All Implemented Interfaces:
  `Serializable`, `Comparable<WordWrapType>`, `Constable`

public enum WordWrapType extends Enum<WordWrapType>
If wrapping is disabled, it is implementation defined whether the clipped text is visible or hidden. If the text is hidden consumers may support a scrolling mechanism to access the text.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NO_WRAP`
  No wrap.
  `NONE`
  None.
  `WRAP`
  Wrap.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WordWrapType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static WordWrapType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NO_WRAP

    public static final WordWrapType NO_WRAP
    No wrap.

  - ### WRAP

    public static final WordWrapType WRAP
    Wrap.

  - ### NONE

    public static final WordWrapType NONE
    None.

- ## Method Details

  - ### values

    public static WordWrapType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static WordWrapType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null